DL_KeyImpl< PK, GP, O > Class Template Reference

Discrete Log (DL) key base implementation. More...

`#include <pubkey.h>`

Inheritance diagram for DL_KeyImpl< PK, GP, O >:

## Public Types

typedef GP | GroupParameters

## Public Member Functions

O | GetAlgorithmID () const
bool | BERDecodeAlgorithmParameters (BufferedTransformation &bt)
bool | DEREncodeAlgorithmParameters (BufferedTransformation &bt) const
const GP & | GetGroupParameters () const
GP & | AccessGroupParameters ()

## Detailed Description

template<class PK, class GP, class O = OID>
class DL_KeyImpl< PK, GP, O >

Discrete Log (DL) key base implementation.

Template Parameters

  PK | Key class
  GP | GroupParameters class
  O | OID class

Definition at line 1212 of file pubkey.h.

## Member Typedef Documentation

## GroupParameters

template<class PK , class GP , class O = OID>

typedef GP DL_KeyImpl< PK, GP, O >::GroupParameters

Definition at line 1215 of file pubkey.h.

## Constructor & Destructor Documentation

## ~DL_KeyImpl()

template<class PK , class GP , class O = OID>

virtual DL_KeyImpl< PK, GP, O >::~DL_KeyImpl | ( |  | ) |

inline virtual

Definition at line 1217 of file pubkey.h.

## Member Function Documentation

## GetAlgorithmID()

template<class PK , class GP , class O = OID>

O DL_KeyImpl< PK, GP, O >::GetAlgorithmID | ( |  | ) | const

inline

Definition at line 1219 of file pubkey.h.

## BERDecodeAlgorithmParameters()

template<class PK , class GP , class O = OID>

bool DL_KeyImpl< PK, GP, O >::BERDecodeAlgorithmParameters | ( | BufferedTransformation & | bt | ) |

inline

Definition at line 1220 of file pubkey.h.

## DEREncodeAlgorithmParameters()

template<class PK , class GP , class O = OID>

bool DL_KeyImpl< PK, GP, O >::DEREncodeAlgorithmParameters | ( | BufferedTransformation & | bt | ) | const

inline

Definition at line 1222 of file pubkey.h.

## GetGroupParameters()

template<class PK , class GP , class O = OID>

const GP & DL_KeyImpl< PK, GP, O >::GetGroupParameters | ( |  | ) | const

inline

Definition at line 1225 of file pubkey.h.

## AccessGroupParameters()

template<class PK , class GP , class O = OID>

GP & DL_KeyImpl< PK, GP, O >::AccessGroupParameters | ( |  | ) |

inline

Definition at line 1226 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h